WordPress.org

Ready to get started?Download WordPress

Plugin Directory

WordPress Access Control

Restrict pages, posts, custom post types, menus and widgets to members, nonmembers or specific roles and still add to navigation

Now with shortcodes and post/custom-post-type support, as well as a comprehensive admin interface for setting plugin defaults

WordPress Access Control is a plugin designed to integrate into membership sites where certain pages, posts and custom post types should only be available to members of the site. The plugin offers fine tuned features for this purpose, including the ability to set site wide defaults and override these on a per-page basis.

You can easily set a page to be accessible only by members of your site, or even a specific role. You can also set pages to be accessible only to non-members of your site, useful for registration pages.

By default, you can add Members only pages to your menus, and users who cannot access them (non-members) won't be able to see them. This applys to the children of a menu item as well, making it easy to build a separate menu for your members.

Additionally, you have the ability to customize search pages, completely hiding posts/pages from search results if a user can't access them, showing search results without an excerpt, or showing search results normally.

New Features in 4.0

Enhanced theme compatiblity! We now have a much smaller impact on sites due to a new way of implementing our nav walker code. This should significantly improve compatability with third party themes.

New Features in 3.1

  • You can add member only versions of each menu on your site (Only when using WordPress menus)
  • You can make certain widgets only visible to members or non-members.

Translators: The POT file is included with the plugin and all text output uses gettext functions. Alternatively, you may download the POT file from http://brandonwamboldt.ca/files/wordpress-access-control.pot.

Documentation: The plugin includes comprehensive documentation file accessible via the plugin directory

Requires: 3.0 or higher
Compatible up to: 3.8.3
Last Updated: 2013-12-18
Downloads: 72,273

Ratings

4 stars
4.5 out of 5 stars

Support

0 of 5 support threads in the last two months have been resolved.

Got something to say? Need help?

Compatibility

+
=
Not enough data

0 people say it works.
0 people say it's broken.

100,1,1
100,3,3
100,2,2 100,1,1
100,3,3
100,2,2 83,6,5
100,1,1
0,1,0 100,2,2 0,4,0 0,1,0 100,2,2
100,1,1 100,1,1 100,1,1
100,8,8 100,1,1
100,1,1 100,3,3
75,8,6
100,7,7 100,1,1 0,1,0
67,6,4
25,4,1
80,10,8
100,1,1
0,2,0
100,1,1 100,1,1 100,1,1 100,1,1 100,1,1 100,2,2
100,4,4